| Earth Observation Mission CFI Software Visibility Software User Manual for JAVA |

Public Member Functions | Public Attributes

# EECFI.OrbitExtra Class Reference

Class to extract orbital extra information. More...

Inheritance diagram for EECFI.OrbitExtra:

List of all members.

## Public Member Functions
| OrbitExtra ()
| Empty Class constructor.
| OrbitExtra (final ANXTime info) throws CfiError
| Class constructor with parameters.
void | set (final ANXTime orbitInfo) throws CfiError
| Set parameters.
native OrbitExtraInfo | orbitExtra (final double[] sunZenitAngles) throws CfiError
| It gets the orbital information related to Sun zenith angles and Sun occultations by the Earth and the Moon.
## Public Attributes
OrbitalInfo | orbitalInfo
| Orbital information (as returned from ANXTime.getOrbitInfo).

## Detailed Description

Class to extract orbital extra information.

## Constructor & Destructor Documentation

EECFI.OrbitExtra.OrbitExtra | ( |  | ) |

Empty Class constructor.

If any calculation is going to be done, set method must be called first, in order to calculate the orbit information needed for calculations.

EECFI.OrbitExtra::OrbitExtra | ( | final ANXTime | orbitInfo | ) | throws CfiError

Class constructor with parameters.

ANXTime is used to compute the orbit extra parameters needed, so it must have been initialised with OrbitId information.

Parameters:

  | orbitInfo | ANXTime object used to calculate orbit information; it must have been initialised with OrbitId.

## Member Function Documentation

OrbitExtraInfo EECFI.OrbitExtra::orbitExtra | ( | final double[] | sunZenitAngles | ) | throws CfiError

It gets the orbital information related to Sun zenith angles and Sun occultations by the Earth and the Moon.

This method computes for an input orbit, the times for:

- an input set of Sun zenit angles are reached (both up and down times are computed)
- Sun ocultations by the Earth.
- Sun ocultations by the Moon.

Parameters:

  | sunZenitAngles | List of sun zenit angles to compute [deg]. Allowed range: >=0; <=180.

Returns:
  Orbit extra information.

void EECFI.OrbitExtra::set | ( | final ANXTime | orbitInfo | ) | throws CfiError

Set parameters.

ANXTime is used to compute the orbit extra parameters needed, so it must have been initialised with OrbitId information.

Parameters:

  | orbitInfo | ANXTime object used to calculate orbit information; it must have been initialised with OrbitId.

## Member Data Documentation

OrbitalInfo EECFI.OrbitExtra.orbitalInfo

Orbital information (as returned from ANXTime.getOrbitInfo).